Bug 179028 - Group settings are destroyed by install script
Group settings are destroyed by install script
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nagios (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-26 13:35 EST by Alfred Glanzer
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.3-15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-28 19:33:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alfred Glanzer 2006-01-26 13:35:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)

Description of problem:
The post install script uses the usermod command to add nagios to the apache group. This is done without the -a switch, so this command deletes all other group-settings for apache (and nagios if applicable) !!!!!
This caused my webserver (apache) to stop functioning correctly.

Version-Release number of selected component (if applicable):
nagios-1.3-14.fc4

How reproducible:
Always

Steps to Reproduce:
1.install or upgrade nagios
2.
3.
  

Actual Results:  Apache groupsettings were destroyed

Expected Results:  Use the -a switch with the usermod command to add in stead of replace and delete.

Additional info:
Comment 1 Mike McGrath 2006-01-26 15:28:40 EST
Sorry bout that, hope it wasn't too much of a headache :-).  Its all fixed in
release 15.  I'll be uploading it soon.
Comment 2 Alfred Glanzer 2006-01-26 17:14:19 EST
Well, no sweat. Thanks for your quick reply !

Note You need to log in before you can comment on or make changes to this bug.